<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>

ERROR - 2025-03-24 09:59:52 --> 404 Page Not Found: Api/Driver/Startride
ERROR - 2025-03-24 12:58:01 --> Query error: Unknown column 'prmo.promo_code_discount' in 'field list' - Invalid query: SELECT tmp.*, vt.id, vt.image, vt.name, vt.description, vt.type, vt.seat,
					prmo.promo_code_discount, f.per_km 
				FROM (
					SELECT driver_id,
						ROUND((6371 * ACOS(
							COS(RADIANS(ROUND(18.517063,2))) * COS(RADIANS(curr_lat)) *
							COS(RADIANS(curr_long) - RADIANS(ROUND(73.846546,2))) + 
							SIN(RADIANS(ROUND(18.517063,2))) * SIN(RADIANS(curr_lat))
						)), 2) AS distance
					FROM tbl_driver_currentLocation d 
					GROUP BY driver_id
				) AS tmp
				INNER JOIN tbl_driver d ON d.id = tmp.driver_id
				INNER JOIN tbl_vehicle tv ON tv.driver_id = d.id
				INNER JOIN tbl_map_vehicletype dmt ON dmt.vehicle_id = tv.id
				INNER JOIN tbl_vehicletype vt ON vt.id = dmt.type_id
				INNER JOIN tbl_fare f ON f.vehicle_type = vt.id 
				WHERE vt.status = 1 AND d.is_online = 1 AND d.status = 1
				AND tmp.distance <= '5' 
				GROUP BY vt.id 
				ORDER BY tmp.distance, f.per_km ASC
ERROR - 2025-03-24 12:58:05 --> Query error: Unknown column 'prmo.promo_code_discount' in 'field list' - Invalid query: SELECT tmp.*, vt.id, vt.image, vt.name, vt.description, vt.type, vt.seat,
					prmo.promo_code_discount, f.per_km 
				FROM (
					SELECT driver_id,
						ROUND((6371 * ACOS(
							COS(RADIANS(ROUND(18.517063,2))) * COS(RADIANS(curr_lat)) *
							COS(RADIANS(curr_long) - RADIANS(ROUND(73.846546,2))) + 
							SIN(RADIANS(ROUND(18.517063,2))) * SIN(RADIANS(curr_lat))
						)), 2) AS distance
					FROM tbl_driver_currentLocation d 
					GROUP BY driver_id
				) AS tmp
				INNER JOIN tbl_driver d ON d.id = tmp.driver_id
				INNER JOIN tbl_vehicle tv ON tv.driver_id = d.id
				INNER JOIN tbl_map_vehicletype dmt ON dmt.vehicle_id = tv.id
				INNER JOIN tbl_vehicletype vt ON vt.id = dmt.type_id
				INNER JOIN tbl_fare f ON f.vehicle_type = vt.id 
				WHERE vt.status = 1 AND d.is_online = 1 AND d.status = 1
				AND tmp.distance <= '5' 
				GROUP BY vt.id 
				ORDER BY tmp.distance, f.per_km ASC
ERROR - 2025-03-24 13:25:37 --> Query error: Unknown column 'd.pickup_radius' in 'field list' - Invalid query: SELECT tmp.*, vt.id, vt.image, vt.name, vt.description, vt.type, vt.seat, f.per_km 
				FROM (
					SELECT driver_id,
						ROUND((6371 * ACOS(
							COS(RADIANS(ROUND(21.2340218,d.pickup_radius))) * COS(RADIANS(curr_lat)) *
							COS(RADIANS(curr_long) - RADIANS(ROUND(72.8168882,d.pickup_radius))) + 
							SIN(RADIANS(ROUND(21.2340218,d.pickup_radius))) * SIN(RADIANS(curr_lat))
						)), 2) AS distance
					FROM tbl_driver_currentLocation d 
					GROUP BY driver_id
				) AS tmp
				INNER JOIN tbl_driver d ON d.id = tmp.driver_id
				INNER JOIN tbl_vehicle tv ON tv.driver_id = d.id
				INNER JOIN tbl_map_vehicletype dmt ON dmt.vehicle_id = tv.id
				INNER JOIN tbl_vehicletype vt ON vt.id = dmt.type_id
				INNER JOIN tbl_fare f ON f.vehicle_type = vt.id 
				WHERE vt.status = 1 AND d.is_online = 1 AND d.status = 1
				AND tmp.distance <= '5' 
				GROUP BY vt.id 
				ORDER BY tmp.distance, f.per_km ASC
ERROR - 2025-03-24 13:26:34 --> Query error: Unknown column 'd.pickup_radius' in 'field list' - Invalid query: SELECT tmp.*, vt.id, vt.image, vt.name, vt.description, vt.type, vt.seat,d.pickup_radius, f.per_km 
				FROM (
					SELECT driver_id,
						ROUND((6371 * ACOS(
							COS(RADIANS(ROUND(21.2340218,d.pickup_radius))) * COS(RADIANS(curr_lat)) *
							COS(RADIANS(curr_long) - RADIANS(ROUND(72.8168882,d.pickup_radius))) + 
							SIN(RADIANS(ROUND(21.2340218,d.pickup_radius))) * SIN(RADIANS(curr_lat))
						)), 2) AS distance
					FROM tbl_driver_currentLocation d 
					GROUP BY driver_id
				) AS tmp
				INNER JOIN tbl_driver d ON d.id = tmp.driver_id
				INNER JOIN tbl_vehicle tv ON tv.driver_id = d.id
				INNER JOIN tbl_map_vehicletype dmt ON dmt.vehicle_id = tv.id
				INNER JOIN tbl_vehicletype vt ON vt.id = dmt.type_id
				INNER JOIN tbl_fare f ON f.vehicle_type = vt.id 
				WHERE vt.status = 1 AND d.is_online = 1 AND d.status = 1
				AND tmp.distance <= '5' 
				GROUP BY vt.id 
				ORDER BY tmp.distance, f.per_km ASC
ERROR - 2025-03-24 13:26:49 --> Query error: Unknown column 'd.pickup_radius' in 'field list' - Invalid query: SELECT tmp.*, vt.id, vt.image, vt.name, vt.description, vt.type, vt.seat,d.pickup_radius, f.per_km 
				FROM (
					SELECT driver_id,
						ROUND((6371 * ACOS(
							COS(RADIANS(ROUND(21.2340218,d.pickup_radius))) * COS(RADIANS(curr_lat)) *
							COS(RADIANS(curr_long) - RADIANS(ROUND(72.8168882,d.pickup_radius))) + 
							SIN(RADIANS(ROUND(21.2340218,d.pickup_radius))) * SIN(RADIANS(curr_lat))
						)), 2) AS distance
					FROM tbl_driver_currentLocation d 
					GROUP BY driver_id
				) AS tmp
				INNER JOIN tbl_driver d ON d.id = tmp.driver_id
				INNER JOIN tbl_vehicle tv ON tv.driver_id = d.id
				INNER JOIN tbl_map_vehicletype dmt ON dmt.vehicle_id = tv.id
				INNER JOIN tbl_vehicletype vt ON vt.id = dmt.type_id
				INNER JOIN tbl_fare f ON f.vehicle_type = vt.id 
				WHERE vt.status = 1 AND d.is_online = 1 AND d.status = 1
				AND tmp.distance <= '5' 
				GROUP BY vt.id 
				ORDER BY tmp.distance, f.per_km ASC
